Update the NIS domain and server configuration for an SVM
Updates the NIS domain and server configuration for an SVM to ensure proper network information service functionality. Use this endpoint to modify domain and server settings while adhering to constraints such as ensuring domains and servers are not empty.
HTTP method and endpoint
PATCH /name-services/nis/{svm.uuid}
Introduced in
ONTAP 9.6
Usage notes
Updates NIS domain and server configuration of an SVM.
Important notes
-
Both NIS domain and servers can be modified.
-
Domains and servers cannot be empty.
-
Both FQDNs and IP addresses are supported for the servers field.
-
If the domain is modified, NIS servers must also be specified.
-
IPv6 must be enabled if IPv6 family addresses are specified for the servers field.
Related ONTAP commands
-
vserver services name-service nis-domain modify
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
svm.uuid |
string |
path |
True |
UUID of the SVM to which this object belongs. |
Request Body
| Name | Type | Description |
|---|---|---|
binding_details |
array[binding_details] |
An array of objects where each object represents the NIS server and it's status for a given NIS domain. It is an advanced field. |
bound_servers |
array[string] |
|
domain |
string |
The NIS domain to which this configuration belongs. |
servers |
array[string] |
A list of hostnames or IP addresses of NIS servers used by the NIS domain configuration. |
Example request
{
"binding_details": [
{
"server": "string",
"status": {
"code": "string",
"message": "string"
}
}
],
"bound_servers": [
"string"
],
"domain": "domainA.example.com",
"servers": [
"10.10.10.10",
"example.com"
]
}
Response
Status: 200, Ok
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
1966253 |
IPv6 is not enabled in the cluster |
2621488 |
Invalid SVM context |
2621706 |
The specified SVM UUID is incorrect for the specified SVM name |
3276964 |
NIS domain name or NIS server domain is too long. The maximum supported for domain name is 64 characters and the maximum supported for NIS server domain is 255 characters |
3276933 |
A maximum of 10 NIS servers can be configured per SVM |
23724109 |
DNS resolution failed for one or more specified servers |
23724112 |
DNS resolution failed due to an internal error. Contact technical support if this issue persists |
23724132 |
DNS resolution failed for all the specified servers |
23724130 |
Cannot use an IPv6 name server address because there are no IPv6 LIFs |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
binding_status
| Name | Type | Description |
|---|---|---|
code |
string |
Code corresponding to the server's binding status. |
message |
string |
Detailed description of the server's binding status. |
binding_details
| Name | Type | Description |
|---|---|---|
server |
string |
Hostname/IP address of the NIS server in the domain. |
status |
svm
SVM, applies only to SVM-scoped objects.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
nis_service
| Name | Type | Description |
|---|---|---|
binding_details |
array[binding_details] |
An array of objects where each object represents the NIS server and it's status for a given NIS domain. It is an advanced field. |
bound_servers |
array[string] |
|
domain |
string |
The NIS domain to which this configuration belongs. |
servers |
array[string] |
A list of hostnames or IP addresses of NIS servers used by the NIS domain configuration. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |